//index.js
//获取应用实例
const app = getApp()
Page({
  data: {
    shareObj: null,
    url: 'https://www.scbzpxw.com',
    src: '',
  },
  onLoad: function (e) {
    if (e.url) {
      this.setData({
        src: this.data.url + e.url,
      });
    }else{
      this.setData({
        src: this.data.url,
      });
    }    
  },
  msg: function (e) {
    console.log(e);
    this.data.shareObj = e.detail.data[e.detail.data.length - 1];
  },
  // 分享
  onShareAppMessage(options) {
    let shareObj = this.data.shareObj;
    if (shareObj) {
      return {
        title: shareObj.shareTitle,
        desc: shareObj.shareDesc,
        path: '/pages/index/index?url=' + shareObj.url,
        imageUrl: shareObj.shareImage,
        success: function (res) {
          console.log(res)
        }
      }
    }
  },
})